package com.tzy.s.wx.util.aes;

/**
 * @author by po'yi
 * @Classname WorkWxUtil
 * @Description TODO
 * @Date 2022/2/14 17:10
 */
public class WorkWxUtil {
	private static final String aeskey ="7XOFNKKGDS2a2CgKus34goeoVqWxqdg7scJpJOF5e3d";
	private static final String token ="gqMaX1CYwWcf8OQZ";
	private static final String appId ="wwcca970d2ea347903";
	private static WXBizMsgCrypt wxcpt=null;
	static{
		try {
			wxcpt = new WXBizMsgCrypt(token, aeskey, appId);
		} catch (AesException e) {
			e.printStackTrace();
		}
	}

	public static String getEncryptStr(String msgSignature, String timeStamp, String nonce, String echoStr) throws Exception {
		String sEchoStr = wxcpt.VerifyURL(msgSignature, timeStamp, nonce, echoStr);
		return sEchoStr;
	}
}
